# `vaporget`

```
   _______________
  /-------------/|
 |   _      _   ||
 |  (_) VG (_)  ||
 |______________||
 |==============|/
```

`vaporget` allows to easily retrieve and listen to `v a p o r w a v e` music stored in the Vaporwave Library Project (specifically, in the clone at https://vaporwave.ivan.moe/, thanks to Ivan Moe).

## Required software
`vaporget` is a `POSIX` `sh` script and requires that the following software is installed on the user's computer:
* `sed`
* `grep`
* `xargs`
* [`wget`](https://www.gnu.org/software/wget/)
* [`dialog`](https://invisible-island.net/dialog/)
* [`mpv`](https://mpv.io/)

Tested on `GNU/Linux`, expected to work on every system with a `POSIX` Shell and required software.

## Usage
Usage: `vaporget [-Vh] [-pd | -m MPV_OPTION,...]`

After launching the script, if the connection with the music library succeeds a menu with a list of artists will appear.
Select the artists you want to listen to (with the spacebar) and then press enter.
If no option is provided to `vaporget`, `mpv` will fetch the music and reproduce it.
To pass options (both long and short) directly to `mpv`, use `-m MPV_OPTION,...` (incompatible with options -pd).
For example to pass `mpv` options `--shuffle`, `--start=50%` and `-v` use:
```
vaporget -m "shuffle,start=50%,v"
```
See `MPV(1)` for command line options and interactive use of the music player.

If the program is called with `-p`, the list of URLs of the songs by the selected artists will be printed to standard output.
If the program is called with `-d`, all the songs by the selected artists will be downloaded in the current directory.
If a combination of `-p` and `-d` is used, only the operation corresponding to the last option written will be executed.
To display the script version, use `-V`.
To display a help message, use `-h`.


[![GPLv3_logo](https://www.gnu.org/graphics/gplv3-or-later.png)](https://www.gnu.org/licenses/gpl-3.0.html)[![CC-by-4.0_logo](https://i.creativecommons.org/l/by/4.0/88x31.png)](http://creativecommons.org/licenses/by/4.0/)
